// $Id: ManagerHomeRemote.java,v 1.3 2004/02/19 13:10:50 gca Exp $

package com.spamnbeans.server;

import java.rmi.RemoteException;
import javax.ejb.CreateException;


/**
 * Provide the external lifecycle interface to the ManagerBean.
 * 
 * <p>The ManagerBean is responsible for creating, finding, and removing 
 * ClientBeans and ServerBeans, which are used mainly for validation and 
 * statistics gathering.
 *
 * @author Andrew Boyer,
 *         <a href="mailto:aboyer@andrew.cmu.edu">aboyer@andrew.cmu.edu</a>
 * @version 1.0
 */
public interface ManagerHomeRemote extends javax.ejb.EJBHome {
    /**
     * Create a new ManagerRemote interface
     */
    public ManagerRemote create()
        throws RemoteException, CreateException;
}
