package com.spamnbeans.test;

import java.util.logging.*;

public class TestLogging {
	private static Logger logger = Logger.getLogger(TestLogging.class.getName());

	public static void main(String[] args) {
		logger.finest("fineest");
		logger.finer("finer");
		logger.fine("fine");
		logger.config("config");
		logger.info("info");
		logger.warning("warning");
		logger.severe("severe");
		Throwable t = new RuntimeException("test error, throwing");
		logger.throwing("TestLogging", "main", t);
		if (logger.isLoggable(Level.FINEST)) {
			logger.log(Level.FINEST, "test error, fine", t);
		}
		else {
			logger.severe("test error, severe");
		}
	}

}
