// $Id: MailProcHomeRemote.java,v 1.3 2004/02/20 05:26:46 gca Exp $

package com.spamnbeans.server;

import java.rmi.RemoteException;
import javax.ejb.CreateException;

/**
 * Provide the external lifecycle interface to the MailProc SessionBean.
 * 
 * <p>The MailProc Bean gets requests from clients, interacts with ServerStat,
 * ClientStat, and MsgStat EntityBeans, and processes messages using 
 * SpamC SessionBeans.
 *
 * @author Andrew Boyer,
 *         <a href="mailto:aboyer@andrew.cmu.edu">aboyer@andrew.cmu.edu</a>
 * @version 1.0
 */
public interface MailProcHomeRemote extends javax.ejb.EJBHome {
    /**
     * Create a new MailProcRemote interface
     */
    public MailProcRemote create()
        throws RemoteException, CreateException;
}
