// $RCSfile: ProcessingFailureException.java,v $
// $Author: cfry $ 
// $Date: 2004/02/21 01:32:26 $
// $Revision: 1.3 $

package com.spamnbeans.server;

import java.lang.Exception;

/**
 * Notify the user that a message could not be processed because of an error.
 *
 * @author Andrew Boyer,
 *         <a href="mailto:aboyer@andrew.cmu.edu">aboyer@andrew.cmu.edu</a>
 * @version 1.0
 */
public class ProcessingFailureException extends Exception
{
    /**
     * Create a new ProcessingFailureException
     */
    public ProcessingFailureException( String message ) {
	super(message);
    }
    /**
     * Create a new ProcessingFailureException
     */
    public ProcessingFailureException( String message, Throwable cause ) {
	super(message, cause);
    }
}
