// $Id: ServerException.java,v 1.1 2004/02/28 15:15:24 gca Exp $
package com.spamnbeans.server;

import java.lang.Exception;

/**
 * ServerException
 * 
 * <p>
 * An exception thrown if unable to communicate with the remote replica server
 * 
 * @author Gary Ackley, <a href="mailto:gca@andrew.cmu.edu">gca@andrew.cmu.edu
 *         </a>
 * @version $Revision: 1.1 $
 */
public class ServerException extends Exception {
	
	public ServerException(String message) {
		super(message);
	}
	
	public ServerException(String message, Throwable cause) {
		super(message, cause);
	}
}
