// $RCSfile: TestCase10.java,v $
// $Author: aboyer $ 
// $Date: 2004/03/21 22:48:13 $
// $Revision: 1.4 $

package com.spamnbeans.test;

import com.spamnbeans.client.*;
import java.io.*;

public class TestCase10
{
    public static void main(String [] args) throws Throwable
    {
	System.out.println( "Running SpamNBeans Test Case 10: Double message" );
	System.out.println( "Headers should be added to first message only" );

	File spamf;
	FileInputStream spamstr;

	// Load spam into StdIn
	try {
	    spamf = new File( "scripts/double.spam" );
	    spamstr = new FileInputStream( spamf );
	    System.setIn( spamstr );
	} catch (Throwable t) {
	    System.out.println( "Error: Couldn't find test data, aborting" );
	    return;
	}

	// Process message
	MPClient.main( null );

	try {
	    spamstr.close();
	} catch (Throwable t) { } // Ignore
    }
}
